<ion-header>

  <ion-navbar>
    <ion-title>tracks</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>

  <ion-list>
    <ion-item detail-none *ngFor="let sound of listSortedSounds()">
      <h2>{{ sound.title }}</h2>

      <ion-icon *ngIf="!sound.isPlaying" name="play" item-start (click)="cacheAndPlay(sound)"></ion-icon>
      <ion-icon *ngIf="sound.isPlaying" name="square" item-start (click)="stopPlayback()"></ion-icon>

      <!-- <ion-icon *ngIf="!favouritesService.hasFavourite(sound)" name="star-outline" item-end (click)="toggleFavourite(sound)"></ion-icon> -->
      <!-- <ion-icon *ngIf="favouritesService.hasFavourite(sound)" name="star" item-end (click)="toggleFavourite(sound)"></ion-icon> -->
    </ion-item>
  </ion-list>

  <button ion-button block (click)="logout()">logout</button>
</ion-content>
